import{S as Ii,i as zi,s as xi,e as r,k as l,w as b,t as n,M as Ci,c as a,d as t,m as c,a as s,x as F,h as i,b as d,N as ki,G as e,g as f,y as w,q as y,o as $,B as T,v as Mi,L as Ks}from"../../chunks/vendor-hf-doc-builder.js";import{T as Ei}from"../../chunks/Tip-hf-doc-builder.js";import{D as ie}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Xs}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ao}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Js}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Ai(N){let h,P,_,g,v;return g=new Xs({props:{code:`from transformers import PoolFormerConfig, PoolFormerModel

# Initializing a PoolFormer sail/poolformer_s12 style configuration
configuration = PoolFormerConfig()

# Initializing a model (with random weights) from the sail/poolformer_s12 style configuration
model = PoolFormerModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> PoolFormerConfig, PoolFormerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a PoolFormer sail/poolformer_s12 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = PoolFormerConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the sail/poolformer_s12 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PoolFormerModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){h=r("p"),P=n("Example:"),_=l(),b(g.$$.fragment)},l(m){h=a(m,"P",{});var u=s(h);P=i(u,"Example:"),u.forEach(t),_=c(m),F(g.$$.fragment,m)},m(m,u){f(m,h,u),e(h,P),f(m,_,u),w(g,m,u),v=!0},p:Ks,i(m){v||(y(g.$$.fragment,m),v=!0)},o(m){$(g.$$.fragment,m),v=!1},d(m){m&&t(h),m&&t(_),T(g,m)}}}function Di(N){let h,P,_,g,v;return{c(){h=r("p"),P=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),g=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(m){h=a(m,"P",{});var u=s(h);P=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var L=s(_);g=i(L,"Module"),L.forEach(t),v=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(m,u){f(m,h,u),e(h,P),e(h,_),e(_,g),e(h,v)},d(m){m&&t(h)}}}function Ni(N){let h,P,_,g,v;return g=new Xs({props:{code:`from transformers import PoolFormerFeatureExtractor, PoolFormerModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

feature_extractor = PoolFormerFeatureExtractor.from_pretrained("sail/poolformer_s12")
model = PoolFormerModel.from_pretrained("sail/poolformer_s12")

inputs = feature_extractor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> PoolFormerFeatureExtractor, PoolFormerModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = PoolFormerFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;sail/poolformer_s12&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PoolFormerModel.from_pretrained(<span class="hljs-string">&quot;sail/poolformer_s12&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">512</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){h=r("p"),P=n("Example:"),_=l(),b(g.$$.fragment)},l(m){h=a(m,"P",{});var u=s(h);P=i(u,"Example:"),u.forEach(t),_=c(m),F(g.$$.fragment,m)},m(m,u){f(m,h,u),e(h,P),f(m,_,u),w(g,m,u),v=!0},p:Ks,i(m){v||(y(g.$$.fragment,m),v=!0)},o(m){$(g.$$.fragment,m),v=!1},d(m){m&&t(h),m&&t(_),T(g,m)}}}function qi(N){let h,P,_,g,v;return{c(){h=r("p"),P=n("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r("code"),g=n("Module"),v=n(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(m){h=a(m,"P",{});var u=s(h);P=i(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a(u,"CODE",{});var L=s(_);g=i(L,"Module"),L.forEach(t),v=i(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(m,u){f(m,h,u),e(h,P),e(h,_),e(_,g),e(h,v)},d(m){m&&t(h)}}}function ji(N){let h,P,_,g,v;return g=new Xs({props:{code:`from transformers import PoolFormerFeatureExtractor, PoolFormerForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

feature_extractor = PoolFormerFeatureExtractor.from_pretrained("sail/poolformer_s12")
model = PoolFormerForImageClassification.from_pretrained("sail/poolformer_s12")

inputs = feature_extractor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> PoolFormerFeatureExtractor, PoolFormerForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = PoolFormerFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;sail/poolformer_s12&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = PoolFormerForImageClassification.from_pretrained(<span class="hljs-string">&quot;sail/poolformer_s12&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){h=r("p"),P=n("Example:"),_=l(),b(g.$$.fragment)},l(m){h=a(m,"P",{});var u=s(h);P=i(u,"Example:"),u.forEach(t),_=c(m),F(g.$$.fragment,m)},m(m,u){f(m,h,u),e(h,P),f(m,_,u),w(g,m,u),v=!0},p:Ks,i(m){v||(y(g.$$.fragment,m),v=!0)},o(m){$(g.$$.fragment,m),v=!1},d(m){m&&t(h),m&&t(_),T(g,m)}}}function Li(N){let h,P,_,g,v,m,u,L,mr,Ct,X,le,Bo,ze,pr,Uo,fr,kt,ce,hr,xe,gr,ur,Mt,so,_r,At,no,Ho,vr,Dt,de,Pr,Ce,br,Fr,Nt,ke,Qs,qt,io,wr,jt,B,Me,yr,Ae,$r,Tr,Er,De,Ir,lo,zr,xr,Cr,Wo,kr,Lt,me,Vo,E,co,Go,Mr,Ar,Yo,Jo,Dr,Nr,Ko,Xo,qr,jr,mo,Qo,Lr,Sr,po,Zo,Rr,Or,I,z,fo,Br,Ur,et,Hr,Wr,ot,Vr,Gr,ho,Yr,Jr,go,Kr,Xr,x,uo,Qr,Zr,tt,ea,oa,rt,ta,ra,_o,aa,sa,vo,na,ia,C,Po,la,ca,at,da,ma,st,pa,fa,bo,ha,ga,Fo,ua,_a,k,wo,va,Pa,nt,ba,Fa,it,wa,ya,yo,$a,Ta,$o,Ea,Ia,M,To,za,xa,lt,Ca,ka,ct,Ma,Aa,Eo,Da,Na,Io,qa,St,U,ja,Ne,La,Sa,qe,Ra,Oa,Rt,Q,pe,dt,je,Ba,mt,Ua,Ot,A,Le,Ha,Z,Wa,zo,Va,Ga,Se,Ya,Ja,Ka,ee,Xa,xo,Qa,Za,Co,es,os,ts,fe,Bt,oe,he,pt,Re,rs,ft,as,Ut,S,Oe,ss,ht,ns,is,ge,Be,ls,gt,cs,Ht,te,ue,ut,Ue,ds,_t,ms,Wt,R,He,ps,vt,fs,hs,_e,We,gs,Pt,us,Vt,re,ve,bt,Ve,_s,Ft,vs,Gt,O,Ge,Ps,Ye,bs,Je,Fs,ws,ys,q,Ke,$s,ae,Ts,ko,Es,Is,wt,zs,xs,Cs,Pe,ks,be,Yt,se,Fe,yt,Xe,Ms,$t,As,Jt,D,Qe,Ds,Tt,Ns,qs,Ze,js,eo,Ls,Ss,Rs,j,oo,Os,ne,Bs,Mo,Us,Hs,Et,Ws,Vs,Gs,we,Ys,ye,Kt;return m=new ao({}),ze=new ao({}),je=new ao({}),Le=new ie({props:{name:"class transformers.PoolFormerConfig",anchor:"transformers.PoolFormerConfig",parameters:[{name:"num_channels",val:" = 3"},{name:"patch_size",val:" = 16"},{name:"stride",val:" = 16"},{name:"pool_size",val:" = 3"},{name:"mlp_ratio",val:" = 4.0"},{name:"depths",val:" = [2, 2, 6, 2]"},{name:"hidden_sizes",val:" = [64, 128, 320, 512]"},{name:"patch_sizes",val:" = [7, 3, 3, 3]"},{name:"strides",val:" = [4, 2, 2, 2]"},{name:"padding",val:" = [2, 1, 1, 1]"},{name:"num_encoder_blocks",val:" = 4"},{name:"drop_path_rate",val:" = 0.0"},{name:"hidden_act",val:" = 'gelu'"},{name:"use_layer_scale",val:" = True"},{name:"layer_scale_init_value",val:" = 1e-05"},{name:"initializer_range",val:" = 0.02"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PoolFormerConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of channels in the input image.`,name:"num_channels"},{anchor:"transformers.PoolFormerConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The size of the input patch.`,name:"patch_size"},{anchor:"transformers.PoolFormerConfig.stride",description:`<strong>stride</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
The stride of the input patch.`,name:"stride"},{anchor:"transformers.PoolFormerConfig.pool_size",description:`<strong>pool_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The size of the pooling window.`,name:"pool_size"},{anchor:"transformers.PoolFormerConfig.mlp_ratio",description:`<strong>mlp_ratio</strong> (<code>float</code>, <em>optional</em>, defaults to 4.0) &#x2014;
The ratio of the number of channels in the output of the MLP to the number of channels in the input.`,name:"mlp_ratio"},{anchor:"transformers.PoolFormerConfig.depths",description:`<strong>depths</strong> (<code>list</code>, <em>optional</em>, defaults to <code>[2, 2, 6, 2]</code>) &#x2014;
The depth of each encoder block.`,name:"depths"},{anchor:"transformers.PoolFormerConfig.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>list</code>, <em>optional</em>, defaults to <code>[64, 128, 320, 512]</code>) &#x2014;
The hidden sizes of each encoder block.`,name:"hidden_sizes"},{anchor:"transformers.PoolFormerConfig.patch_sizes",description:`<strong>patch_sizes</strong> (<code>list</code>, <em>optional</em>, defaults to <code>[7, 3, 3, 3]</code>) &#x2014;
The size of the input patch for each encoder block.`,name:"patch_sizes"},{anchor:"transformers.PoolFormerConfig.strides",description:`<strong>strides</strong> (<code>list</code>, <em>optional</em>, defaults to <code>[4, 2, 2, 2]</code>) &#x2014;
The stride of the input patch for each encoder block.`,name:"strides"},{anchor:"transformers.PoolFormerConfig.padding",description:`<strong>padding</strong> (<code>list</code>, <em>optional</em>, defaults to <code>[2, 1, 1, 1]</code>) &#x2014;
The padding of the input patch for each encoder block.`,name:"padding"},{anchor:"transformers.PoolFormerConfig.num_encoder_blocks",description:`<strong>num_encoder_blocks</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
The number of encoder blocks.`,name:"num_encoder_blocks"},{anchor:"transformers.PoolFormerConfig.drop_path_rate",description:`<strong>drop_path_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout rate for the dropout layers.`,name:"drop_path_rate"},{anchor:"transformers.PoolFormerConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The activation function for the hidden layers.`,name:"hidden_act"},{anchor:"transformers.PoolFormerConfig.use_layer_scale",description:`<strong>use_layer_scale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to use layer scale.`,name:"use_layer_scale"},{anchor:"transformers.PoolFormerConfig.layer_scale_init_value",description:`<strong>layer_scale_init_value</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014;
The initial value for the layer scale.`,name:"layer_scale_init_value"},{anchor:"transformers.PoolFormerConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The initializer range for the weights.`,name:"initializer_range"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/poolformer/configuration_poolformer.py#L29"}}),fe=new Js({props:{anchor:"transformers.PoolFormerConfig.example",$$slots:{default:[Ai]},$$scope:{ctx:N}}}),Re=new ao({}),Oe=new ie({props:{name:"class transformers.PoolFormerImageProcessor",anchor:"transformers.PoolFormerImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"crop_pct",val:": int = 0.9"},{name:"resample",val:": Resampling = <Resampling.BICUBIC: 3>"},{name:"do_center_crop",val:": bool = True"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_rescale",val:": bool = True"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PoolFormerImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be overridden by
<code>do_resize</code> in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.PoolFormerImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 224}</code>):
Size of the image after resizing. Can be overridden by <code>size</code> in the <code>preprocess</code> method. If crop_pct is
unset:</p>
<ul>
<li>size is <code>{&quot;height&quot;: h, &quot;width&quot;: w}</code>: the image is resized to <code>(h, w)</code>.</li>
<li>size is <code>{&quot;shortest_edge&quot;: s}</code>: the shortest edge of the image is resized to s whilst maintaining the
aspect ratio.</li>
</ul>
<p>If crop_pct is set:</p>
<ul>
<li>size is <code>{&quot;height&quot;: h, &quot;width&quot;: w}</code>: the image is resized to <code>(int(floor(h/crop_pct)), int(floor(w/crop_pct)))</code></li>
<li>size is <code>{&quot;height&quot;: c, &quot;width&quot;: c}</code>: the shortest edge of the image is resized to <code>int(floor(c/crop_pct)</code>
whilst maintaining the aspect ratio.</li>
<li>size is <code>{&quot;shortest_edge&quot;: c}</code>: the shortest edge of the image is resized to <code>int(floor(c/crop_pct)</code>
whilst maintaining the aspect ratio.</li>
</ul>`,name:"size"},{anchor:"transformers.PoolFormerImageProcessor.crop_pct",description:`<strong>crop_pct</strong> (<code>float</code>, <em>optional</em>, defaults to <code>0.9</code>) &#x2014;
Percentage of the image to crop from the center. Can be overridden by <code>crop_pct</code> in the <code>preprocess</code>
method.`,name:"crop_pct"},{anchor:"transformers.PoolFormerImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BICUBIC</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overridden by <code>resample</code> in the <code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.PoolFormerImageProcessor.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to center crop the image. If the input size is smaller than <code>crop_size</code> along any edge, the image
is padded with 0&#x2019;s and then center cropped. Can be overridden by <code>do_center_crop</code> in the <code>preprocess</code>
method.`,name:"do_center_crop"},{anchor:"transformers.PoolFormerImageProcessor.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>{&quot;height&quot; -- 224, &quot;width&quot;: 224}</code>):
Size of the image after applying center crop. Only has an effect if <code>do_center_crop</code> is set to <code>True</code>. Can
be overridden by the <code>crop_size</code> parameter in the <code>preprocess</code> method.`,name:"crop_size"},{anchor:"transformers.PoolFormerImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by the <code>do_rescale</code>
parameter in the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.PoolFormerImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overridden by the <code>rescale_factor</code> parameter in the
<code>preprocess</code> method.`,name:"rescale_factor"},{anchor:"transformers.PoolFormerImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the
<code>preprocess</code> method.`,name:"do_normalize"},{anchor:"transformers.PoolFormerImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.PoolFormerImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/poolformer/image_processing_poolformer.py#L53"}}),Be=new ie({props:{name:"__call__",anchor:"transformers.PoolFormerImageProcessor.__call__",parameters:[{name:"images",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/image_processing_utils.py#L435"}}),Ue=new ao({}),He=new ie({props:{name:"class transformers.PoolFormerImageProcessor",anchor:"transformers.PoolFormerImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"crop_pct",val:": int = 0.9"},{name:"resample",val:": Resampling = <Resampling.BICUBIC: 3>"},{name:"do_center_crop",val:": bool = True"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_rescale",val:": bool = True"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PoolFormerImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be overridden by
<code>do_resize</code> in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.PoolFormerImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 224}</code>):
Size of the image after resizing. Can be overridden by <code>size</code> in the <code>preprocess</code> method. If crop_pct is
unset:</p>
<ul>
<li>size is <code>{&quot;height&quot;: h, &quot;width&quot;: w}</code>: the image is resized to <code>(h, w)</code>.</li>
<li>size is <code>{&quot;shortest_edge&quot;: s}</code>: the shortest edge of the image is resized to s whilst maintaining the
aspect ratio.</li>
</ul>
<p>If crop_pct is set:</p>
<ul>
<li>size is <code>{&quot;height&quot;: h, &quot;width&quot;: w}</code>: the image is resized to <code>(int(floor(h/crop_pct)), int(floor(w/crop_pct)))</code></li>
<li>size is <code>{&quot;height&quot;: c, &quot;width&quot;: c}</code>: the shortest edge of the image is resized to <code>int(floor(c/crop_pct)</code>
whilst maintaining the aspect ratio.</li>
<li>size is <code>{&quot;shortest_edge&quot;: c}</code>: the shortest edge of the image is resized to <code>int(floor(c/crop_pct)</code>
whilst maintaining the aspect ratio.</li>
</ul>`,name:"size"},{anchor:"transformers.PoolFormerImageProcessor.crop_pct",description:`<strong>crop_pct</strong> (<code>float</code>, <em>optional</em>, defaults to <code>0.9</code>) &#x2014;
Percentage of the image to crop from the center. Can be overridden by <code>crop_pct</code> in the <code>preprocess</code>
method.`,name:"crop_pct"},{anchor:"transformers.PoolFormerImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BICUBIC</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overridden by <code>resample</code> in the <code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.PoolFormerImageProcessor.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to center crop the image. If the input size is smaller than <code>crop_size</code> along any edge, the image
is padded with 0&#x2019;s and then center cropped. Can be overridden by <code>do_center_crop</code> in the <code>preprocess</code>
method.`,name:"do_center_crop"},{anchor:"transformers.PoolFormerImageProcessor.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>{&quot;height&quot; -- 224, &quot;width&quot;: 224}</code>):
Size of the image after applying center crop. Only has an effect if <code>do_center_crop</code> is set to <code>True</code>. Can
be overridden by the <code>crop_size</code> parameter in the <code>preprocess</code> method.`,name:"crop_size"},{anchor:"transformers.PoolFormerImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overridden by the <code>do_rescale</code>
parameter in the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.PoolFormerImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overridden by the <code>rescale_factor</code> parameter in the
<code>preprocess</code> method.`,name:"rescale_factor"},{anchor:"transformers.PoolFormerImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the
<code>preprocess</code> method.`,name:"do_normalize"},{anchor:"transformers.PoolFormerImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.PoolFormerImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/poolformer/image_processing_poolformer.py#L53"}}),We=new ie({props:{name:"preprocess",anchor:"transformers.PoolFormerImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"do_resize",val:": bool = None"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"crop_pct",val:": int = None"},{name:"resample",val:": Resampling = None"},{name:"do_center_crop",val:": bool = None"},{name:"crop_size",val:": typing.Dict[str, int] = None"},{name:"do_rescale",val:": bool = None"},{name:"rescale_factor",val:": float = None"},{name:"do_normalize",val:": bool = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.PoolFormerImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the image after applying resize.`,name:"size"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.crop_pct",description:`<strong>crop_pct</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.crop_pct</code>) &#x2014;
Percentage of the image to crop. Only has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"crop_pct"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of the enum <code>PILImageResampling</code>, Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.do_center_crop",description:`<strong>do_center_crop</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_center_crop</code>) &#x2014;
Whether to center crop the image.`,name:"do_center_crop"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.crop_size",description:`<strong>crop_size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.crop_size</code>) &#x2014;
Size of the image after applying center crop.`,name:"crop_size"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean.`,name:"image_mean"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.PoolFormerImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/poolformer/image_processing_poolformer.py#L268"}}),Ve=new ao({}),Ge=new ie({props:{name:"class transformers.PoolFormerModel",anchor:"transformers.PoolFormerModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.PoolFormerModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/poolformer#transformers.PoolFormerConfig">PoolFormerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/poolformer/modeling_poolformer.py#L314"}}),Ke=new ie({props:{name:"forward",anchor:"transformers.PoolFormerModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.PoolFormerModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/poolformer#transformers.PoolFormerImageProcessor">PoolFormerFeatureExtractor</a>. See
<a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor.__call__">PoolFormerFeatureExtractor.<strong>call</strong>()</a> for details.`,name:"pixel_values"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/poolformer/modeling_poolformer.py#L327",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/poolformer#transformers.PoolFormerConfig"
>PoolFormerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Pe=new Ei({props:{$$slots:{default:[Di]},$$scope:{ctx:N}}}),be=new Js({props:{anchor:"transformers.PoolFormerModel.forward.example",$$slots:{default:[Ni]},$$scope:{ctx:N}}}),Xe=new ao({}),Qe=new ie({props:{name:"class transformers.PoolFormerForImageClassification",anchor:"transformers.PoolFormerForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.PoolFormerForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/poolformer#transformers.PoolFormerConfig">PoolFormerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/poolformer/modeling_poolformer.py#L382"}}),oo=new ie({props:{name:"forward",anchor:"transformers.PoolFormerForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.PoolFormerForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/main/en/model_doc/poolformer#transformers.PoolFormerImageProcessor">PoolFormerFeatureExtractor</a>. See
<a href="/docs/transformers/main/en/model_doc/videomae#transformers.VideoMAEImageProcessor.__call__">PoolFormerFeatureExtractor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.PoolFormerForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/poolformer/modeling_poolformer.py#L398",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/poolformer#transformers.PoolFormerConfig"
>PoolFormerConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),we=new Ei({props:{$$slots:{default:[qi]},$$scope:{ctx:N}}}),ye=new Js({props:{anchor:"transformers.PoolFormerForImageClassification.forward.example",$$slots:{default:[ji]},$$scope:{ctx:N}}}),{c(){h=r("meta"),P=l(),_=r("h1"),g=r("a"),v=r("span"),b(m.$$.fragment),u=l(),L=r("span"),mr=n("PoolFormer"),Ct=l(),X=r("h2"),le=r("a"),Bo=r("span"),b(ze.$$.fragment),pr=l(),Uo=r("span"),fr=n("Overview"),kt=l(),ce=r("p"),hr=n("The PoolFormer model was proposed in "),xe=r("a"),gr=n("MetaFormer is Actually What You Need for Vision"),ur=n("  by Sea AI Labs. Instead of designing complicated token mixer to achieve SOTA performance, the target of this work is to demonstrate the competence of transformer models largely stem from the general architecture MetaFormer."),Mt=l(),so=r("p"),_r=n("The abstract from the paper is the following:"),At=l(),no=r("p"),Ho=r("em"),vr=n("Transformers have shown great potential in computer vision tasks. A common belief is their attention-based token mixer module contributes most to their competence. However, recent works show the attention-based module in transformers can be replaced by spatial MLPs and the resulted models still perform quite well. Based on this observation, we hypothesize that the general architecture of the transformers, instead of the specific token mixer module, is more essential to the model\u2019s performance. To verify this, we deliberately replace the attention module in transformers with an embarrassingly simple spatial pooling operator to conduct only the most basic token mixing. Surprisingly, we observe that the derived model, termed as PoolFormer, achieves competitive performance on multiple computer vision tasks. For example, on ImageNet-1K, PoolFormer achieves 82.1% top-1 accuracy, surpassing well-tuned vision transformer/MLP-like baselines DeiT-B/ResMLP-B24 by 0.3%/1.1% accuracy with 35%/52% fewer parameters and 48%/60% fewer MACs. The effectiveness of PoolFormer verifies our hypothesis and urges us to initiate the concept of \u201CMetaFormer\u201D, a general architecture abstracted from transformers without specifying the token mixer. Based on the extensive experiments, we argue that MetaFormer is the key player in achieving superior results for recent transformer and MLP-like models on vision tasks. This work calls for more future research dedicated to improving MetaFormer instead of focusing on the token mixer modules. Additionally, our proposed PoolFormer could serve as a starting baseline for future MetaFormer architecture design."),Dt=l(),de=r("p"),Pr=n("The figure below illustrates the architecture of PoolFormer. Taken from the "),Ce=r("a"),br=n("original paper"),Fr=n("."),Nt=l(),ke=r("img"),qt=l(),io=r("p"),wr=n("Tips:"),jt=l(),B=r("ul"),Me=r("li"),yr=n("PoolFormer has a hierarchical architecture, where instead of Attention, a simple Average Pooling layer is present. All checkpoints of the model can be found on the "),Ae=r("a"),$r=n("hub"),Tr=n("."),Er=l(),De=r("li"),Ir=n("One can use "),lo=r("a"),zr=n("PoolFormerFeatureExtractor"),xr=n(" to prepare images for the model."),Cr=l(),Wo=r("li"),kr=n("As most models, PoolFormer comes in different sizes, the details of which can be found in the table below."),Lt=l(),me=r("table"),Vo=r("thead"),E=r("tr"),co=r("th"),Go=r("strong"),Mr=n("Model variant"),Ar=l(),Yo=r("th"),Jo=r("strong"),Dr=n("Depths"),Nr=l(),Ko=r("th"),Xo=r("strong"),qr=n("Hidden sizes"),jr=l(),mo=r("th"),Qo=r("strong"),Lr=n("Params (M)"),Sr=l(),po=r("th"),Zo=r("strong"),Rr=n("ImageNet-1k Top 1"),Or=l(),I=r("tbody"),z=r("tr"),fo=r("td"),Br=n("s12"),Ur=l(),et=r("td"),Hr=n("[2, 2, 6, 2]"),Wr=l(),ot=r("td"),Vr=n("[64, 128, 320, 512]"),Gr=l(),ho=r("td"),Yr=n("12"),Jr=l(),go=r("td"),Kr=n("77.2"),Xr=l(),x=r("tr"),uo=r("td"),Qr=n("s24"),Zr=l(),tt=r("td"),ea=n("[4, 4, 12, 4]"),oa=l(),rt=r("td"),ta=n("[64, 128, 320, 512]"),ra=l(),_o=r("td"),aa=n("21"),sa=l(),vo=r("td"),na=n("80.3"),ia=l(),C=r("tr"),Po=r("td"),la=n("s36"),ca=l(),at=r("td"),da=n("[6, 6, 18, 6]"),ma=l(),st=r("td"),pa=n("[64, 128, 320, 512]"),fa=l(),bo=r("td"),ha=n("31"),ga=l(),Fo=r("td"),ua=n("81.4"),_a=l(),k=r("tr"),wo=r("td"),va=n("m36"),Pa=l(),nt=r("td"),ba=n("[6, 6, 18, 6]"),Fa=l(),it=r("td"),wa=n("[96, 192, 384, 768]"),ya=l(),yo=r("td"),$a=n("56"),Ta=l(),$o=r("td"),Ea=n("82.1"),Ia=l(),M=r("tr"),To=r("td"),za=n("m48"),xa=l(),lt=r("td"),Ca=n("[8, 8, 24, 8]"),ka=l(),ct=r("td"),Ma=n("[96, 192, 384, 768]"),Aa=l(),Eo=r("td"),Da=n("73"),Na=l(),Io=r("td"),qa=n("82.5"),St=l(),U=r("p"),ja=n("This model was contributed by "),Ne=r("a"),La=n("heytanay"),Sa=n(". The original code can be found "),qe=r("a"),Ra=n("here"),Oa=n("."),Rt=l(),Q=r("h2"),pe=r("a"),dt=r("span"),b(je.$$.fragment),Ba=l(),mt=r("span"),Ua=n("PoolFormerConfig"),Ot=l(),A=r("div"),b(Le.$$.fragment),Ha=l(),Z=r("p"),Wa=n("This is the configuration class to store the configuration of "),zo=r("a"),Va=n("PoolFormerModel"),Ga=n(`. It is used to instantiate a
PoolFormer model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the PoolFormer
`),Se=r("a"),Ya=n("sail/poolformer_s12"),Ja=n(" architecture."),Ka=l(),ee=r("p"),Xa=n("Configuration objects inherit from "),xo=r("a"),Qa=n("PretrainedConfig"),Za=n(` and can be used to control the model outputs. Read the
documentation from `),Co=r("a"),es=n("PretrainedConfig"),os=n(" for more information."),ts=l(),b(fe.$$.fragment),Bt=l(),oe=r("h2"),he=r("a"),pt=r("span"),b(Re.$$.fragment),rs=l(),ft=r("span"),as=n("PoolFormerFeatureExtractor"),Ut=l(),S=r("div"),b(Oe.$$.fragment),ss=l(),ht=r("p"),ns=n("Constructs a PoolFormer image processor."),is=l(),ge=r("div"),b(Be.$$.fragment),ls=l(),gt=r("p"),cs=n("Preprocess an image or a batch of images."),Ht=l(),te=r("h2"),ue=r("a"),ut=r("span"),b(Ue.$$.fragment),ds=l(),_t=r("span"),ms=n("PoolFormerImageProcessor"),Wt=l(),R=r("div"),b(He.$$.fragment),ps=l(),vt=r("p"),fs=n("Constructs a PoolFormer image processor."),hs=l(),_e=r("div"),b(We.$$.fragment),gs=l(),Pt=r("p"),us=n("Preprocess an image or batch of images."),Vt=l(),re=r("h2"),ve=r("a"),bt=r("span"),b(Ve.$$.fragment),_s=l(),Ft=r("span"),vs=n("PoolFormerModel"),Gt=l(),O=r("div"),b(Ge.$$.fragment),Ps=l(),Ye=r("p"),bs=n(`The bare PoolFormer Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Je=r("a"),Fs=n("torch.nn.Module"),ws=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ys=l(),q=r("div"),b(Ke.$$.fragment),$s=l(),ae=r("p"),Ts=n("The "),ko=r("a"),Es=n("PoolFormerModel"),Is=n(" forward method, overrides the "),wt=r("code"),zs=n("__call__"),xs=n(" special method."),Cs=l(),b(Pe.$$.fragment),ks=l(),b(be.$$.fragment),Yt=l(),se=r("h2"),Fe=r("a"),yt=r("span"),b(Xe.$$.fragment),Ms=l(),$t=r("span"),As=n("PoolFormerForImageClassification"),Jt=l(),D=r("div"),b(Qe.$$.fragment),Ds=l(),Tt=r("p"),Ns=n("PoolFormer Model transformer with an image classification head on top"),qs=l(),Ze=r("p"),js=n("This model is a PyTorch "),eo=r("a"),Ls=n("torch.nn.Module"),Ss=n(` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Rs=l(),j=r("div"),b(oo.$$.fragment),Os=l(),ne=r("p"),Bs=n("The "),Mo=r("a"),Us=n("PoolFormerForImageClassification"),Hs=n(" forward method, overrides the "),Et=r("code"),Ws=n("__call__"),Vs=n(" special method."),Gs=l(),b(we.$$.fragment),Ys=l(),b(ye.$$.fragment),this.h()},l(o){const p=Ci('[data-svelte="svelte-1phssyn"]',document.head);h=a(p,"META",{name:!0,content:!0}),p.forEach(t),P=c(o),_=a(o,"H1",{class:!0});var to=s(_);g=a(to,"A",{id:!0,class:!0,href:!0});var It=s(g);v=a(It,"SPAN",{});var zt=s(v);F(m.$$.fragment,zt),zt.forEach(t),It.forEach(t),u=c(to),L=a(to,"SPAN",{});var xt=s(L);mr=i(xt,"PoolFormer"),xt.forEach(t),to.forEach(t),Ct=c(o),X=a(o,"H2",{class:!0});var ro=s(X);le=a(ro,"A",{id:!0,class:!0,href:!0});var Zs=s(le);Bo=a(Zs,"SPAN",{});var en=s(Bo);F(ze.$$.fragment,en),en.forEach(t),Zs.forEach(t),pr=c(ro),Uo=a(ro,"SPAN",{});var on=s(Uo);fr=i(on,"Overview"),on.forEach(t),ro.forEach(t),kt=c(o),ce=a(o,"P",{});var Xt=s(ce);hr=i(Xt,"The PoolFormer model was proposed in "),xe=a(Xt,"A",{href:!0,rel:!0});var tn=s(xe);gr=i(tn,"MetaFormer is Actually What You Need for Vision"),tn.forEach(t),ur=i(Xt,"  by Sea AI Labs. Instead of designing complicated token mixer to achieve SOTA performance, the target of this work is to demonstrate the competence of transformer models largely stem from the general architecture MetaFormer."),Xt.forEach(t),Mt=c(o),so=a(o,"P",{});var rn=s(so);_r=i(rn,"The abstract from the paper is the following:"),rn.forEach(t),At=c(o),no=a(o,"P",{});var an=s(no);Ho=a(an,"EM",{});var sn=s(Ho);vr=i(sn,"Transformers have shown great potential in computer vision tasks. A common belief is their attention-based token mixer module contributes most to their competence. However, recent works show the attention-based module in transformers can be replaced by spatial MLPs and the resulted models still perform quite well. Based on this observation, we hypothesize that the general architecture of the transformers, instead of the specific token mixer module, is more essential to the model\u2019s performance. To verify this, we deliberately replace the attention module in transformers with an embarrassingly simple spatial pooling operator to conduct only the most basic token mixing. Surprisingly, we observe that the derived model, termed as PoolFormer, achieves competitive performance on multiple computer vision tasks. For example, on ImageNet-1K, PoolFormer achieves 82.1% top-1 accuracy, surpassing well-tuned vision transformer/MLP-like baselines DeiT-B/ResMLP-B24 by 0.3%/1.1% accuracy with 35%/52% fewer parameters and 48%/60% fewer MACs. The effectiveness of PoolFormer verifies our hypothesis and urges us to initiate the concept of \u201CMetaFormer\u201D, a general architecture abstracted from transformers without specifying the token mixer. Based on the extensive experiments, we argue that MetaFormer is the key player in achieving superior results for recent transformer and MLP-like models on vision tasks. This work calls for more future research dedicated to improving MetaFormer instead of focusing on the token mixer modules. Additionally, our proposed PoolFormer could serve as a starting baseline for future MetaFormer architecture design."),sn.forEach(t),an.forEach(t),Dt=c(o),de=a(o,"P",{});var Qt=s(de);Pr=i(Qt,"The figure below illustrates the architecture of PoolFormer. Taken from the "),Ce=a(Qt,"A",{href:!0,rel:!0});var nn=s(Ce);br=i(nn,"original paper"),nn.forEach(t),Fr=i(Qt,"."),Qt.forEach(t),Nt=c(o),ke=a(o,"IMG",{width:!0,src:!0}),qt=c(o),io=a(o,"P",{});var ln=s(io);wr=i(ln,"Tips:"),ln.forEach(t),jt=c(o),B=a(o,"UL",{});var Ao=s(B);Me=a(Ao,"LI",{});var Zt=s(Me);yr=i(Zt,"PoolFormer has a hierarchical architecture, where instead of Attention, a simple Average Pooling layer is present. All checkpoints of the model can be found on the "),Ae=a(Zt,"A",{href:!0,rel:!0});var cn=s(Ae);$r=i(cn,"hub"),cn.forEach(t),Tr=i(Zt,"."),Zt.forEach(t),Er=c(Ao),De=a(Ao,"LI",{});var er=s(De);Ir=i(er,"One can use "),lo=a(er,"A",{href:!0});var dn=s(lo);zr=i(dn,"PoolFormerFeatureExtractor"),dn.forEach(t),xr=i(er," to prepare images for the model."),er.forEach(t),Cr=c(Ao),Wo=a(Ao,"LI",{});var mn=s(Wo);kr=i(mn,"As most models, PoolFormer comes in different sizes, the details of which can be found in the table below."),mn.forEach(t),Ao.forEach(t),Lt=c(o),me=a(o,"TABLE",{});var or=s(me);Vo=a(or,"THEAD",{});var pn=s(Vo);E=a(pn,"TR",{});var H=s(E);co=a(H,"TH",{align:!0});var fn=s(co);Go=a(fn,"STRONG",{});var hn=s(Go);Mr=i(hn,"Model variant"),hn.forEach(t),fn.forEach(t),Ar=c(H),Yo=a(H,"TH",{});var gn=s(Yo);Jo=a(gn,"STRONG",{});var un=s(Jo);Dr=i(un,"Depths"),un.forEach(t),gn.forEach(t),Nr=c(H),Ko=a(H,"TH",{});var _n=s(Ko);Xo=a(_n,"STRONG",{});var vn=s(Xo);qr=i(vn,"Hidden sizes"),vn.forEach(t),_n.forEach(t),jr=c(H),mo=a(H,"TH",{align:!0});var Pn=s(mo);Qo=a(Pn,"STRONG",{});var bn=s(Qo);Lr=i(bn,"Params (M)"),bn.forEach(t),Pn.forEach(t),Sr=c(H),po=a(H,"TH",{align:!0});var Fn=s(po);Zo=a(Fn,"STRONG",{});var wn=s(Zo);Rr=i(wn,"ImageNet-1k Top 1"),wn.forEach(t),Fn.forEach(t),H.forEach(t),pn.forEach(t),Or=c(or),I=a(or,"TBODY",{});var W=s(I);z=a(W,"TR",{});var V=s(z);fo=a(V,"TD",{align:!0});var yn=s(fo);Br=i(yn,"s12"),yn.forEach(t),Ur=c(V),et=a(V,"TD",{});var $n=s(et);Hr=i($n,"[2, 2, 6, 2]"),$n.forEach(t),Wr=c(V),ot=a(V,"TD",{});var Tn=s(ot);Vr=i(Tn,"[64, 128, 320, 512]"),Tn.forEach(t),Gr=c(V),ho=a(V,"TD",{align:!0});var En=s(ho);Yr=i(En,"12"),En.forEach(t),Jr=c(V),go=a(V,"TD",{align:!0});var In=s(go);Kr=i(In,"77.2"),In.forEach(t),V.forEach(t),Xr=c(W),x=a(W,"TR",{});var G=s(x);uo=a(G,"TD",{align:!0});var zn=s(uo);Qr=i(zn,"s24"),zn.forEach(t),Zr=c(G),tt=a(G,"TD",{});var xn=s(tt);ea=i(xn,"[4, 4, 12, 4]"),xn.forEach(t),oa=c(G),rt=a(G,"TD",{});var Cn=s(rt);ta=i(Cn,"[64, 128, 320, 512]"),Cn.forEach(t),ra=c(G),_o=a(G,"TD",{align:!0});var kn=s(_o);aa=i(kn,"21"),kn.forEach(t),sa=c(G),vo=a(G,"TD",{align:!0});var Mn=s(vo);na=i(Mn,"80.3"),Mn.forEach(t),G.forEach(t),ia=c(W),C=a(W,"TR",{});var Y=s(C);Po=a(Y,"TD",{align:!0});var An=s(Po);la=i(An,"s36"),An.forEach(t),ca=c(Y),at=a(Y,"TD",{});var Dn=s(at);da=i(Dn,"[6, 6, 18, 6]"),Dn.forEach(t),ma=c(Y),st=a(Y,"TD",{});var Nn=s(st);pa=i(Nn,"[64, 128, 320, 512]"),Nn.forEach(t),fa=c(Y),bo=a(Y,"TD",{align:!0});var qn=s(bo);ha=i(qn,"31"),qn.forEach(t),ga=c(Y),Fo=a(Y,"TD",{align:!0});var jn=s(Fo);ua=i(jn,"81.4"),jn.forEach(t),Y.forEach(t),_a=c(W),k=a(W,"TR",{});var J=s(k);wo=a(J,"TD",{align:!0});var Ln=s(wo);va=i(Ln,"m36"),Ln.forEach(t),Pa=c(J),nt=a(J,"TD",{});var Sn=s(nt);ba=i(Sn,"[6, 6, 18, 6]"),Sn.forEach(t),Fa=c(J),it=a(J,"TD",{});var Rn=s(it);wa=i(Rn,"[96, 192, 384, 768]"),Rn.forEach(t),ya=c(J),yo=a(J,"TD",{align:!0});var On=s(yo);$a=i(On,"56"),On.forEach(t),Ta=c(J),$o=a(J,"TD",{align:!0});var Bn=s($o);Ea=i(Bn,"82.1"),Bn.forEach(t),J.forEach(t),Ia=c(W),M=a(W,"TR",{});var K=s(M);To=a(K,"TD",{align:!0});var Un=s(To);za=i(Un,"m48"),Un.forEach(t),xa=c(K),lt=a(K,"TD",{});var Hn=s(lt);Ca=i(Hn,"[8, 8, 24, 8]"),Hn.forEach(t),ka=c(K),ct=a(K,"TD",{});var Wn=s(ct);Ma=i(Wn,"[96, 192, 384, 768]"),Wn.forEach(t),Aa=c(K),Eo=a(K,"TD",{align:!0});var Vn=s(Eo);Da=i(Vn,"73"),Vn.forEach(t),Na=c(K),Io=a(K,"TD",{align:!0});var Gn=s(Io);qa=i(Gn,"82.5"),Gn.forEach(t),K.forEach(t),W.forEach(t),or.forEach(t),St=c(o),U=a(o,"P",{});var Do=s(U);ja=i(Do,"This model was contributed by "),Ne=a(Do,"A",{href:!0,rel:!0});var Yn=s(Ne);La=i(Yn,"heytanay"),Yn.forEach(t),Sa=i(Do,". The original code can be found "),qe=a(Do,"A",{href:!0,rel:!0});var Jn=s(qe);Ra=i(Jn,"here"),Jn.forEach(t),Oa=i(Do,"."),Do.forEach(t),Rt=c(o),Q=a(o,"H2",{class:!0});var tr=s(Q);pe=a(tr,"A",{id:!0,class:!0,href:!0});var Kn=s(pe);dt=a(Kn,"SPAN",{});var Xn=s(dt);F(je.$$.fragment,Xn),Xn.forEach(t),Kn.forEach(t),Ba=c(tr),mt=a(tr,"SPAN",{});var Qn=s(mt);Ua=i(Qn,"PoolFormerConfig"),Qn.forEach(t),tr.forEach(t),Ot=c(o),A=a(o,"DIV",{class:!0});var $e=s(A);F(Le.$$.fragment,$e),Ha=c($e),Z=a($e,"P",{});var No=s(Z);Wa=i(No,"This is the configuration class to store the configuration of "),zo=a(No,"A",{href:!0});var Zn=s(zo);Va=i(Zn,"PoolFormerModel"),Zn.forEach(t),Ga=i(No,`. It is used to instantiate a
PoolFormer model according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the PoolFormer
`),Se=a(No,"A",{href:!0,rel:!0});var ei=s(Se);Ya=i(ei,"sail/poolformer_s12"),ei.forEach(t),Ja=i(No," architecture."),No.forEach(t),Ka=c($e),ee=a($e,"P",{});var qo=s(ee);Xa=i(qo,"Configuration objects inherit from "),xo=a(qo,"A",{href:!0});var oi=s(xo);Qa=i(oi,"PretrainedConfig"),oi.forEach(t),Za=i(qo,` and can be used to control the model outputs. Read the
documentation from `),Co=a(qo,"A",{href:!0});var ti=s(Co);es=i(ti,"PretrainedConfig"),ti.forEach(t),os=i(qo," for more information."),qo.forEach(t),ts=c($e),F(fe.$$.fragment,$e),$e.forEach(t),Bt=c(o),oe=a(o,"H2",{class:!0});var rr=s(oe);he=a(rr,"A",{id:!0,class:!0,href:!0});var ri=s(he);pt=a(ri,"SPAN",{});var ai=s(pt);F(Re.$$.fragment,ai),ai.forEach(t),ri.forEach(t),rs=c(rr),ft=a(rr,"SPAN",{});var si=s(ft);as=i(si,"PoolFormerFeatureExtractor"),si.forEach(t),rr.forEach(t),Ut=c(o),S=a(o,"DIV",{class:!0});var jo=s(S);F(Oe.$$.fragment,jo),ss=c(jo),ht=a(jo,"P",{});var ni=s(ht);ns=i(ni,"Constructs a PoolFormer image processor."),ni.forEach(t),is=c(jo),ge=a(jo,"DIV",{class:!0});var ar=s(ge);F(Be.$$.fragment,ar),ls=c(ar),gt=a(ar,"P",{});var ii=s(gt);cs=i(ii,"Preprocess an image or a batch of images."),ii.forEach(t),ar.forEach(t),jo.forEach(t),Ht=c(o),te=a(o,"H2",{class:!0});var sr=s(te);ue=a(sr,"A",{id:!0,class:!0,href:!0});var li=s(ue);ut=a(li,"SPAN",{});var ci=s(ut);F(Ue.$$.fragment,ci),ci.forEach(t),li.forEach(t),ds=c(sr),_t=a(sr,"SPAN",{});var di=s(_t);ms=i(di,"PoolFormerImageProcessor"),di.forEach(t),sr.forEach(t),Wt=c(o),R=a(o,"DIV",{class:!0});var Lo=s(R);F(He.$$.fragment,Lo),ps=c(Lo),vt=a(Lo,"P",{});var mi=s(vt);fs=i(mi,"Constructs a PoolFormer image processor."),mi.forEach(t),hs=c(Lo),_e=a(Lo,"DIV",{class:!0});var nr=s(_e);F(We.$$.fragment,nr),gs=c(nr),Pt=a(nr,"P",{});var pi=s(Pt);us=i(pi,"Preprocess an image or batch of images."),pi.forEach(t),nr.forEach(t),Lo.forEach(t),Vt=c(o),re=a(o,"H2",{class:!0});var ir=s(re);ve=a(ir,"A",{id:!0,class:!0,href:!0});var fi=s(ve);bt=a(fi,"SPAN",{});var hi=s(bt);F(Ve.$$.fragment,hi),hi.forEach(t),fi.forEach(t),_s=c(ir),Ft=a(ir,"SPAN",{});var gi=s(Ft);vs=i(gi,"PoolFormerModel"),gi.forEach(t),ir.forEach(t),Gt=c(o),O=a(o,"DIV",{class:!0});var So=s(O);F(Ge.$$.fragment,So),Ps=c(So),Ye=a(So,"P",{});var lr=s(Ye);bs=i(lr,`The bare PoolFormer Model transformer outputting raw hidden-states without any specific head on top.
This model is a PyTorch `),Je=a(lr,"A",{href:!0,rel:!0});var ui=s(Je);Fs=i(ui,"torch.nn.Module"),ui.forEach(t),ws=i(lr,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),lr.forEach(t),ys=c(So),q=a(So,"DIV",{class:!0});var Te=s(q);F(Ke.$$.fragment,Te),$s=c(Te),ae=a(Te,"P",{});var Ro=s(ae);Ts=i(Ro,"The "),ko=a(Ro,"A",{href:!0});var _i=s(ko);Es=i(_i,"PoolFormerModel"),_i.forEach(t),Is=i(Ro," forward method, overrides the "),wt=a(Ro,"CODE",{});var vi=s(wt);zs=i(vi,"__call__"),vi.forEach(t),xs=i(Ro," special method."),Ro.forEach(t),Cs=c(Te),F(Pe.$$.fragment,Te),ks=c(Te),F(be.$$.fragment,Te),Te.forEach(t),So.forEach(t),Yt=c(o),se=a(o,"H2",{class:!0});var cr=s(se);Fe=a(cr,"A",{id:!0,class:!0,href:!0});var Pi=s(Fe);yt=a(Pi,"SPAN",{});var bi=s(yt);F(Xe.$$.fragment,bi),bi.forEach(t),Pi.forEach(t),Ms=c(cr),$t=a(cr,"SPAN",{});var Fi=s($t);As=i(Fi,"PoolFormerForImageClassification"),Fi.forEach(t),cr.forEach(t),Jt=c(o),D=a(o,"DIV",{class:!0});var Ee=s(D);F(Qe.$$.fragment,Ee),Ds=c(Ee),Tt=a(Ee,"P",{});var wi=s(Tt);Ns=i(wi,"PoolFormer Model transformer with an image classification head on top"),wi.forEach(t),qs=c(Ee),Ze=a(Ee,"P",{});var dr=s(Ze);js=i(dr,"This model is a PyTorch "),eo=a(dr,"A",{href:!0,rel:!0});var yi=s(eo);Ls=i(yi,"torch.nn.Module"),yi.forEach(t),Ss=i(dr,` sub-class. Use
it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),dr.forEach(t),Rs=c(Ee),j=a(Ee,"DIV",{class:!0});var Ie=s(j);F(oo.$$.fragment,Ie),Os=c(Ie),ne=a(Ie,"P",{});var Oo=s(ne);Bs=i(Oo,"The "),Mo=a(Oo,"A",{href:!0});var $i=s(Mo);Us=i($i,"PoolFormerForImageClassification"),$i.forEach(t),Hs=i(Oo," forward method, overrides the "),Et=a(Oo,"CODE",{});var Ti=s(Et);Ws=i(Ti,"__call__"),Ti.forEach(t),Vs=i(Oo," special method."),Oo.forEach(t),Gs=c(Ie),F(we.$$.fragment,Ie),Ys=c(Ie),F(ye.$$.fragment,Ie),Ie.forEach(t),Ee.forEach(t),this.h()},h(){d(h,"name","hf:doc:metadata"),d(h,"content",JSON.stringify(Si)),d(g,"id","poolformer"),d(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(g,"href","#poolformer"),d(_,"class","relative group"),d(le,"id","overview"),d(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(le,"href","#overview"),d(X,"class","relative group"),d(xe,"href","https://arxiv.org/abs/2111.11418"),d(xe,"rel","nofollow"),d(Ce,"href","https://arxiv.org/abs/2111.11418"),d(Ce,"rel","nofollow"),d(ke,"width","600"),ki(ke.src,Qs="https://user-images.githubusercontent.com/15921929/142746124-1ab7635d-2536-4a0e-ad43-b4fe2c5a525d.png")||d(ke,"src",Qs),d(Ae,"href","https://huggingface.co/models?other=poolformer"),d(Ae,"rel","nofollow"),d(lo,"href","/docs/transformers/main/en/model_doc/poolformer#transformers.PoolFormerImageProcessor"),d(co,"align","center"),d(mo,"align","center"),d(po,"align","center"),d(fo,"align","center"),d(ho,"align","center"),d(go,"align","center"),d(uo,"align","center"),d(_o,"align","center"),d(vo,"align","center"),d(Po,"align","center"),d(bo,"align","center"),d(Fo,"align","center"),d(wo,"align","center"),d(yo,"align","center"),d($o,"align","center"),d(To,"align","center"),d(Eo,"align","center"),d(Io,"align","center"),d(Ne,"href","https://huggingface.co/heytanay"),d(Ne,"rel","nofollow"),d(qe,"href","https://github.com/sail-sg/poolformer"),d(qe,"rel","nofollow"),d(pe,"id","transformers.PoolFormerConfig"),d(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(pe,"href","#transformers.PoolFormerConfig"),d(Q,"class","relative group"),d(zo,"href","/docs/transformers/main/en/model_doc/poolformer#transformers.PoolFormerModel"),d(Se,"href","https://huggingface.co/sail/poolformer_s12"),d(Se,"rel","nofollow"),d(xo,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(Co,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(he,"id","transformers.PoolFormerImageProcessor"),d(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(he,"href","#transformers.PoolFormerImageProcessor"),d(oe,"class","relative group"),d(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ue,"id","transformers.PoolFormerImageProcessor"),d(ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ue,"href","#transformers.PoolFormerImageProcessor"),d(te,"class","relative group"),d(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ve,"id","transformers.PoolFormerModel"),d(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ve,"href","#transformers.PoolFormerModel"),d(re,"class","relative group"),d(Je,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(Je,"rel","nofollow"),d(ko,"href","/docs/transformers/main/en/model_doc/poolformer#transformers.PoolFormerModel"),d(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Fe,"id","transformers.PoolFormerForImageClassification"),d(Fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Fe,"href","#transformers.PoolFormerForImageClassification"),d(se,"class","relative group"),d(eo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(eo,"rel","nofollow"),d(Mo,"href","/docs/transformers/main/en/model_doc/poolformer#transformers.PoolFormerForImageClassification"),d(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,p){e(document.head,h),f(o,P,p),f(o,_,p),e(_,g),e(g,v),w(m,v,null),e(_,u),e(_,L),e(L,mr),f(o,Ct,p),f(o,X,p),e(X,le),e(le,Bo),w(ze,Bo,null),e(X,pr),e(X,Uo),e(Uo,fr),f(o,kt,p),f(o,ce,p),e(ce,hr),e(ce,xe),e(xe,gr),e(ce,ur),f(o,Mt,p),f(o,so,p),e(so,_r),f(o,At,p),f(o,no,p),e(no,Ho),e(Ho,vr),f(o,Dt,p),f(o,de,p),e(de,Pr),e(de,Ce),e(Ce,br),e(de,Fr),f(o,Nt,p),f(o,ke,p),f(o,qt,p),f(o,io,p),e(io,wr),f(o,jt,p),f(o,B,p),e(B,Me),e(Me,yr),e(Me,Ae),e(Ae,$r),e(Me,Tr),e(B,Er),e(B,De),e(De,Ir),e(De,lo),e(lo,zr),e(De,xr),e(B,Cr),e(B,Wo),e(Wo,kr),f(o,Lt,p),f(o,me,p),e(me,Vo),e(Vo,E),e(E,co),e(co,Go),e(Go,Mr),e(E,Ar),e(E,Yo),e(Yo,Jo),e(Jo,Dr),e(E,Nr),e(E,Ko),e(Ko,Xo),e(Xo,qr),e(E,jr),e(E,mo),e(mo,Qo),e(Qo,Lr),e(E,Sr),e(E,po),e(po,Zo),e(Zo,Rr),e(me,Or),e(me,I),e(I,z),e(z,fo),e(fo,Br),e(z,Ur),e(z,et),e(et,Hr),e(z,Wr),e(z,ot),e(ot,Vr),e(z,Gr),e(z,ho),e(ho,Yr),e(z,Jr),e(z,go),e(go,Kr),e(I,Xr),e(I,x),e(x,uo),e(uo,Qr),e(x,Zr),e(x,tt),e(tt,ea),e(x,oa),e(x,rt),e(rt,ta),e(x,ra),e(x,_o),e(_o,aa),e(x,sa),e(x,vo),e(vo,na),e(I,ia),e(I,C),e(C,Po),e(Po,la),e(C,ca),e(C,at),e(at,da),e(C,ma),e(C,st),e(st,pa),e(C,fa),e(C,bo),e(bo,ha),e(C,ga),e(C,Fo),e(Fo,ua),e(I,_a),e(I,k),e(k,wo),e(wo,va),e(k,Pa),e(k,nt),e(nt,ba),e(k,Fa),e(k,it),e(it,wa),e(k,ya),e(k,yo),e(yo,$a),e(k,Ta),e(k,$o),e($o,Ea),e(I,Ia),e(I,M),e(M,To),e(To,za),e(M,xa),e(M,lt),e(lt,Ca),e(M,ka),e(M,ct),e(ct,Ma),e(M,Aa),e(M,Eo),e(Eo,Da),e(M,Na),e(M,Io),e(Io,qa),f(o,St,p),f(o,U,p),e(U,ja),e(U,Ne),e(Ne,La),e(U,Sa),e(U,qe),e(qe,Ra),e(U,Oa),f(o,Rt,p),f(o,Q,p),e(Q,pe),e(pe,dt),w(je,dt,null),e(Q,Ba),e(Q,mt),e(mt,Ua),f(o,Ot,p),f(o,A,p),w(Le,A,null),e(A,Ha),e(A,Z),e(Z,Wa),e(Z,zo),e(zo,Va),e(Z,Ga),e(Z,Se),e(Se,Ya),e(Z,Ja),e(A,Ka),e(A,ee),e(ee,Xa),e(ee,xo),e(xo,Qa),e(ee,Za),e(ee,Co),e(Co,es),e(ee,os),e(A,ts),w(fe,A,null),f(o,Bt,p),f(o,oe,p),e(oe,he),e(he,pt),w(Re,pt,null),e(oe,rs),e(oe,ft),e(ft,as),f(o,Ut,p),f(o,S,p),w(Oe,S,null),e(S,ss),e(S,ht),e(ht,ns),e(S,is),e(S,ge),w(Be,ge,null),e(ge,ls),e(ge,gt),e(gt,cs),f(o,Ht,p),f(o,te,p),e(te,ue),e(ue,ut),w(Ue,ut,null),e(te,ds),e(te,_t),e(_t,ms),f(o,Wt,p),f(o,R,p),w(He,R,null),e(R,ps),e(R,vt),e(vt,fs),e(R,hs),e(R,_e),w(We,_e,null),e(_e,gs),e(_e,Pt),e(Pt,us),f(o,Vt,p),f(o,re,p),e(re,ve),e(ve,bt),w(Ve,bt,null),e(re,_s),e(re,Ft),e(Ft,vs),f(o,Gt,p),f(o,O,p),w(Ge,O,null),e(O,Ps),e(O,Ye),e(Ye,bs),e(Ye,Je),e(Je,Fs),e(Ye,ws),e(O,ys),e(O,q),w(Ke,q,null),e(q,$s),e(q,ae),e(ae,Ts),e(ae,ko),e(ko,Es),e(ae,Is),e(ae,wt),e(wt,zs),e(ae,xs),e(q,Cs),w(Pe,q,null),e(q,ks),w(be,q,null),f(o,Yt,p),f(o,se,p),e(se,Fe),e(Fe,yt),w(Xe,yt,null),e(se,Ms),e(se,$t),e($t,As),f(o,Jt,p),f(o,D,p),w(Qe,D,null),e(D,Ds),e(D,Tt),e(Tt,Ns),e(D,qs),e(D,Ze),e(Ze,js),e(Ze,eo),e(eo,Ls),e(Ze,Ss),e(D,Rs),e(D,j),w(oo,j,null),e(j,Os),e(j,ne),e(ne,Bs),e(ne,Mo),e(Mo,Us),e(ne,Hs),e(ne,Et),e(Et,Ws),e(ne,Vs),e(j,Gs),w(we,j,null),e(j,Ys),w(ye,j,null),Kt=!0},p(o,[p]){const to={};p&2&&(to.$$scope={dirty:p,ctx:o}),fe.$set(to);const It={};p&2&&(It.$$scope={dirty:p,ctx:o}),Pe.$set(It);const zt={};p&2&&(zt.$$scope={dirty:p,ctx:o}),be.$set(zt);const xt={};p&2&&(xt.$$scope={dirty:p,ctx:o}),we.$set(xt);const ro={};p&2&&(ro.$$scope={dirty:p,ctx:o}),ye.$set(ro)},i(o){Kt||(y(m.$$.fragment,o),y(ze.$$.fragment,o),y(je.$$.fragment,o),y(Le.$$.fragment,o),y(fe.$$.fragment,o),y(Re.$$.fragment,o),y(Oe.$$.fragment,o),y(Be.$$.fragment,o),y(Ue.$$.fragment,o),y(He.$$.fragment,o),y(We.$$.fragment,o),y(Ve.$$.fragment,o),y(Ge.$$.fragment,o),y(Ke.$$.fragment,o),y(Pe.$$.fragment,o),y(be.$$.fragment,o),y(Xe.$$.fragment,o),y(Qe.$$.fragment,o),y(oo.$$.fragment,o),y(we.$$.fragment,o),y(ye.$$.fragment,o),Kt=!0)},o(o){$(m.$$.fragment,o),$(ze.$$.fragment,o),$(je.$$.fragment,o),$(Le.$$.fragment,o),$(fe.$$.fragment,o),$(Re.$$.fragment,o),$(Oe.$$.fragment,o),$(Be.$$.fragment,o),$(Ue.$$.fragment,o),$(He.$$.fragment,o),$(We.$$.fragment,o),$(Ve.$$.fragment,o),$(Ge.$$.fragment,o),$(Ke.$$.fragment,o),$(Pe.$$.fragment,o),$(be.$$.fragment,o),$(Xe.$$.fragment,o),$(Qe.$$.fragment,o),$(oo.$$.fragment,o),$(we.$$.fragment,o),$(ye.$$.fragment,o),Kt=!1},d(o){t(h),o&&t(P),o&&t(_),T(m),o&&t(Ct),o&&t(X),T(ze),o&&t(kt),o&&t(ce),o&&t(Mt),o&&t(so),o&&t(At),o&&t(no),o&&t(Dt),o&&t(de),o&&t(Nt),o&&t(ke),o&&t(qt),o&&t(io),o&&t(jt),o&&t(B),o&&t(Lt),o&&t(me),o&&t(St),o&&t(U),o&&t(Rt),o&&t(Q),T(je),o&&t(Ot),o&&t(A),T(Le),T(fe),o&&t(Bt),o&&t(oe),T(Re),o&&t(Ut),o&&t(S),T(Oe),T(Be),o&&t(Ht),o&&t(te),T(Ue),o&&t(Wt),o&&t(R),T(He),T(We),o&&t(Vt),o&&t(re),T(Ve),o&&t(Gt),o&&t(O),T(Ge),T(Ke),T(Pe),T(be),o&&t(Yt),o&&t(se),T(Xe),o&&t(Jt),o&&t(D),T(Qe),T(oo),T(we),T(ye)}}}const Si={local:"poolformer",sections:[{local:"overview",title:"Overview"},{local:"transformers.PoolFormerConfig",title:"PoolFormerConfig"},{local:"transformers.PoolFormerImageProcessor",title:"PoolFormerFeatureExtractor"},{local:"transformers.PoolFormerImageProcessor",title:"PoolFormerImageProcessor"},{local:"transformers.PoolFormerModel",title:"PoolFormerModel"},{local:"transformers.PoolFormerForImageClassification",title:"PoolFormerForImageClassification"}],title:"PoolFormer"};function Ri(N){return Mi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Gi extends Ii{constructor(h){super();zi(this,h,Ri,Li,xi,{})}}export{Gi as default,Si as metadata};
